- Qt 5.5
- Qt Widgets
- C++ Classes
- QPlainTextDocumentLayout
- Qt 5.5.1 Reference Documentation

# QPlainTextDocumentLayout Class

The QPlainTextDocumentLayout class implements a plain text layout for QTextDocument More...

Header: | #include <QPlainTextDocumentLayout>
qmake: | QT += widgets
Since: | Qt 4.4
Inherits: |

- List of all members, including inherited members

## Properties

- cursorWidth : int

## Public Functions

| QPlainTextDocumentLayout(QTextDocument * document)
| ~QPlainTextDocumentLayout()
QRectF | blockBoundingRect(const QTextBlock & block) const
int | cursorWidth() const
QSizeF | documentSize() const
void | draw(QPainter *, const PaintContext &)
void | ensureBlockLayout(const QTextBlock & block) const
QRectF | frameBoundingRect(QTextFrame *) const
int | hitTest(const QPointF &, Qt::HitTestAccuracy) const
int | pageCount() const
void | requestUpdate()
void | setCursorWidth(int width)

## Protected Functions

void | documentChanged(int from, int charsRemoved, int charsAdded)

## Detailed Description

The QPlainTextDocumentLayout class implements a plain text layout for QTextDocument

A QPlainTextDocumentLayout is required for text documents that can be display or edited in a QPlainTextEdit. See QTextDocument::setDocumentLayout().

QPlainTextDocumentLayout uses the QAbstractTextDocumentLayout API that QTextDocument requires, but redefines it partially in order to support plain text better. For instances, it does not operate on vertical pixels, but on paragraphs (called blocks) instead. The height of a document is identical to the number of paragraphs it contains. The layout also doesn't support tables or nested frames, or any sort of advanced text layout that goes beyond a list of paragraphs with syntax highlighting.

## Property Documentation

### cursorWidth : int

This property specifies the width of the cursor in pixels. The default value is 1.

Access functions:

int | cursorWidth() const
void | setCursorWidth(int width)

## Member Function Documentation

### QPlainTextDocumentLayout::QPlainTextDocumentLayout(QTextDocument * document)

Constructs a plain text document layout for the text document.

### QPlainTextDocumentLayout::~QPlainTextDocumentLayout()

Destructs a plain text document layout.

### QRectF QPlainTextDocumentLayout::blockBoundingRect(const QTextBlock & block) const

### `[protected]` void QPlainTextDocumentLayout::documentChanged(int from, int charsRemoved, int charsAdded)

### QSizeF QPlainTextDocumentLayout::documentSize() const

### void QPlainTextDocumentLayout::draw(QPainter *, const PaintContext &)

### void QPlainTextDocumentLayout::ensureBlockLayout(const QTextBlock & block) const

Ensures that block has a valid layout

### QRectF QPlainTextDocumentLayout::frameBoundingRect(QTextFrame *) const

### int QPlainTextDocumentLayout::hitTest(const QPointF &, Qt::HitTestAccuracy) const

### int QPlainTextDocumentLayout::pageCount() const

### void QPlainTextDocumentLayout::requestUpdate()

Requests a complete update on all views.